CUDF-CHECK(1)

NAME
cudf-check - manipulate CUDF documents

SYNOPSIS

cudf-check [OPTION]

DESCRIPTION
cudf-check is a command line tool to manipulate and validate CUDF documents.

  Use Cases

validate a CUDF document (package universe + request):
        cudf-check -cudf FILE

validate a CUDF document (package universe + request) and its solution
        cudf-check -cudf FILE -sol FILE

validate a package universe (without user request)
        cudf-check -univ FILE

OPTIONS

-cudf
    parse the given CUDF (universe + request)

-univ
    parse the given package universe

-sol
    parse the given solution

-dump
    dump results to standard output

-help
--help
    show usage information and exit

EXIT STATUS
cudf-check returns an exit status of 0 (true) if all performed checks (universe consistency, solution consistency, request-solution correspondence) were successful; if one or more of them fails, cudf-check returns an exit status of 1 (false).

SEE ALSO
apt-cudf(1), update-cudf-solvers(8)

AUTHOR
Copyright: (C) 2009-2014 Stefano Zacchiroli <zack@upsilon.cc>

License: GNU General Public License (GPL), version 3 or above